#
# spec file for package python-prompt_toolkit
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without  test
%define         oldpython python
Name:           python-prompt_toolkit
Version:        1.0.15
Release:        lp150.1.4
Summary:        Library for building powerful interactive command lines in Python
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/jonathanslenders/python-prompt-toolkit
Source:         https://files.pythonhosted.org/packages/source/p/prompt_toolkit/prompt_toolkit-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
%if %{with test}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module wcwidth}
%endif
Requires:       python-six >= 1.9.0
Requires:       python-wcwidth
Recommends:     python-Pygments
BuildArch:      noarch
%ifpython2
Obsoletes:      %{oldpython}-python-prompt-toolkit < %{version}
Provides:       %{oldpython}-python-prompt-toolkit = %{version}
%endif
%python_subpackages

%description
Prompt toolkit is a Library for building powerful interactive command
lines in Python.

%prep
%setup -q -n prompt_toolkit-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%{python_expand export PYTHONPATH=%{buildroot}%{$python_sitelib}
py.test-%{$python_bin_suffix}
}
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc AUTHORS.rst LICENSE README.rst CHANGELOG
%{python_sitelib}/*

%changelog
* Tue Sep 19 2017 toddrme2178@gmail.com
- Update to version 1.0.15
  + Fixes:
  * Don't shuffle tasks in the event loop. This fixes an issue where lines
    printed from background threads were printed in a different order if
    `patch_stdout=True`.
  * Only consider the text before the cursor when activating history search.
  * Pressing escape should accept the search, this is closer to how readline works.
  * Enable autowrap again when required.
  + New features:
  * Add run_in_terminal option to disable cooked mode.
* Fri May  5 2017 toddrme2178@gmail.com
- Fix Provides/Obsoletes
* Mon Apr 24 2017 toddrme2178@gmail.com
- Implement single-spec version.
* Mon Apr  3 2017 toddrme2178@gmail.com
- Fix source URL.
* Sat Apr  1 2017 toddrme2178@gmail.com
- Update to version 1.0.14
  + Rename package to python-prompt_toolkit
    ~ Upstream name change
  + See CHANGELOG file for changes
* Mon Jan 30 2017 rjschwei@suse.com
- Update to version 1.0.9 (bsc#1002895, FATE#321630)
  + Include in SLE 12
  + Rename package to python-python-prompt-toolkit
    ~ Upstream name change
  + See CHANGELOG file for changes
* Fri Aug 14 2015 toddrme2178@gmail.com
- Initial version
  + Version 0.46
